<html>
<head>
<title>Selenium starting points</title>
<script language="Javascript">
function fixUnitTestLinks()
{
    var baseurl = document.location + "";
    baseurl = baseurl.replace(/[^\/]*$/, '');
    var links = document.getElementsByTagName("a");
    for (var i = 0; i < links.length; i++) {
        var link = links[i];
        if (link.className == 'jsUnitSuite') {
            link['href'] = link['href'].replace('BASEURL', baseurl);
        }
    }
}
</script>
<style>
li { margin-top: 6pt; }
</style>
</head>
<body onload="fixUnitTestLinks();">

<h1>Setup</h1>
In order to make the tests works for Blocket and Firefox you have to do this:
<li>Write <b>about:config</b> as URL in the browser.
<li>Set <b>dom.allow_scripts_to_close_windows</b> to true
<li>Set <b>signed.applets.codebase_principal_support</b> to true
<li>Run manually first time using a new computer in order to press a pop-up.
<li>When running in your own regress environment, you might need to do <b>make sendmail-replace</b> in order to run scripts verifying mails.
<li>You should have the images at <b>/selenium_images</b>.


<h1>Selenium</h1>
<p>
  <a href="core/TestRunner.html">Selenium TestRunner</a> - Select a test suite to run in Selenium
</p>

<p>
  <a href="core/TestRunner.html?test=../blocket-tests/TestSuite-newad.html">Blocket Main TestSuite</a> - tests adding of ads.
<b>Acceptance tests:</b> These test-suites demonstrate/exercise the
functionality of Selenium.
</p>

<p>
  <a href="core/TestRunner.html?test=../tests/TestSuite_Controlpanel.html">Blocket Controlpanel TestSuite</a> - test for the controlpanel.
</p>
<ul>
  <li>
    <a href="core/TestRunner.html?test=../tests/TestSuite.html">Selenium TestSuite</a> - functional tests for Selenium. This suite of tests should pass in any supported browser.
  </li>
  <li>
    <a href="core/TestRunner.html?test=../tests/ErrorCheckingTestSuite.html">Error Checking TestSuite</a> - tests for the error verification commands
  </li>
  <li>
  	<a href="core/TestRunner.html?test=../tests/dogfood/TestSuite.html&multiWindow=true">Dogfood TestSuite</a> - test Selenium with Selenium
  </li>
</ul>

<p><b>Unit-tests:</b> Use JsUnit to test Selenium internals.</p>

<ul>

  <li>
      <a class="jsUnitSuite" href="jsunit/testRunner.html?testPage=BASEURLunittest/browserbot/suite.html">Selenium BrowserBot unit-tests</a>
  </li>
  <li>
      <a class="jsUnitSuite" href="jsunit/testRunner.html?testPage=BASEURLunittest/htmlrunner/suite.html">Selenium TestRunner UI unit-tests</a>
  </li>
  <li>
      <a class="jsUnitSuite" href="jsunit/testRunner.html?testPage=BASEURLunittest/jsmock/mock-tests.html">JsMock unit-tests</a>
  </li>

</ul>
<p>
  <a href="core/TestRunner.html?test=../tests/TestSuite_PostControlpanel.html">Blocket Post Controlpanel TestSuite</a> - tests depending on cpanel tests
</p>

</body>
</html>
